import request from '@/utils/request'

// 查询考勤组列表
export function queryList(query) {
  return request({
    url: '/dk/attendanceGroup/list',
    method: 'get',
    params: query
  })
}

// 查询区域列表
export function queryArea(query) {
  return request({
    url: '/dk/config/list',
    method: 'get',
    params: query
  })
}


// 新增考勤组
export function add(data) {
  return request({
    url: '/dk/attendanceGroup/add',
    method: 'post',
    data: data
  })
}

// 修改考勤组
export function update(data) {
  return request({
    url: '/system/attendanceGroup/update',
    method: 'put',
    data: data
  })
}

// 删除考勤组
export function del(id) {
  return request({
    url: '/dk/attendanceGroup/del/' + id,
    method: 'delete'
  })
}

// 
export function test(query) {
  return request({
    url: '/dk/app/getCurrentDayRecord',
    method: 'get',
    params: query
  })
}

// 删除考勤组
export function delUser(id) {
  return request({
    url: '/dk/attendanceGroup/delUser/' + id,
    method: 'delete'
  })
}
